Bug 131518

Summary: mail/mailscanner: please update mailscanner ports
Product: Ports & Packages Reporter: Alex <alexlmp>
Component: Individual Port(s)Assignee: Felippe de Meirelles Motta <lippe>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
mailscanner.diff.gz
none
mailscanner-4.75.diff
none
patch.txt none

Description Alex 2009-02-09 02:50:00 UTC
the mailscanner now is Version 4.74 12th January 2009,
but freebsd ports now still in Version 4.67.6 for 10 months ago
Can you help us to upgrade ports? 

i already writed to j.koopmann@seceidos.de, but no one respond !

please help us to update!
 
thank you very much !
Comment 1 gnats freebsd_committer 2009-02-09 04:01:29 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Fix synopsis and category.
Comment 2 Felippe de Meirelles Motta freebsd_committer 2009-02-23 21:29:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

I'll take it.
Comment 3 Felippe de Meirelles Motta 2009-02-23 21:42:34 UTC
Hi Alex,

I made a patch and submitted to maintainer, he should reply until 2  
weeks or I'll committ the patch.
Comment 4 Felippe de Meirelles Motta 2009-03-14 14:36:21 UTC
All,

This PR could not be committed due a problem of mailscanner with perl:

http://groups.google.com/group/lucky.freebsd.ports/browse_thread/thread/67a880bf68d14ae9

Thank you, I'm trying to solve this!
Comment 5 Kevin Kobb 2009-04-13 14:39:46 UTC
I am attaching a patch I made that updates the port to 4.75.11-1. Perhaps
somebody could take a look and try it out. It seems to work fine for me with
perl 5.8.9. As the problems that have been reported by people who upgraded
to perl 5.8.9 also include the current port version, I don't see any reason
not to upgrade the port, with my patch or if somebody has a better update
use that. I have tried upgrading perl on i386 and amd64 versions of FreeBSD
7.1, and cannot duplicate the errors that some people have reported with new
perl versions and MailScanner. Perhaps it has to do with an option they
select when building perl ( I used the defaults ).

Anyhow, it would be great if we could get this port updated for the 7.2
release.
Comment 6 Kevin Kobb 2009-04-27 13:24:02 UTC
OK, let me try again. I have attached my changes in a plain text file if
somebody wants to take a look.
Comment 7 Pav Lucistnik freebsd_committer 2009-04-30 14:33:02 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 8 dfilter service freebsd_committer 2009-04-30 14:34:49 UTC
pav         2009-04-30 13:34:40 UTC

  FreeBSD ports repository

  Modified files:
    mail/mailscanner     Makefile distinfo pkg-plist 
    mail/mailscanner/files CHANGES.port patch-lib-clamav-wrapper 
  Log:
  - Update to 4.75.11
  
  PR:             ports/131518
  Submitted by:   Kevin Kobb <kkobb@skylinecorp.com>
  Approved by:    maintainer timeout on older patch in the PR
  
  Revision  Changes    Path
  1.75      +32 -9     ports/mail/mailscanner/Makefile
  1.49      +3 -3      ports/mail/mailscanner/distinfo
  1.22      +4 -0      ports/mail/mailscanner/files/CHANGES.port
  1.3       +2 -30     ports/mail/mailscanner/files/patch-lib-clamav-wrapper
  1.39      +8 -1      ports/mail/mailscanner/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"